%global momorel 7

Name:           perl-Encode-Detect
Version:        1.01
Release:	%{momorel}m%{?dist}
Summary:        An Encode::Encoding subclass that detects the encoding of data
License:        MPL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Encode-Detect/
Source0:        http://www.cpan.org/modules/by-module/Encode/Encode-Detect-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-CBuilder
BuildRequires:  perl-Module-Build
Requires:       perl-ExtUtils-CBuilder
Requires:       perl-Module-Build
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This Perl module is an Encode::Encoding subclass that uses
Encode::Detect::Detector to determine the charset of the input data and
then decodes it using the encoder of the detected charset.

%prep
%setup -q -n Encode-Detect-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Encode*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.01-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.01-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.01-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-1m)
- update to 1.01

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.00-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.00-2m)
- use vendor

* Thu Nov 02 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.00-1m)
- update to 1.00
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
-- regenerate
-- change not perl(modulename) but perl package name, and delete make test

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.01-1m)
- spec file was autogenerated
